| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes

# IG::Forms::Test::MessageBoxBuilder Class Reference

Collaboration diagram for IG::Forms::Test::MessageBoxBuilder:
[legend]

List of all members.

## Public Member Functions
| MessageBoxBuilder ()
## Static Public Member Functions
static void | Main0 (string[] args)
## Protected Member Functions
void | btnCancel_Click (object sender, System.EventArgs e)
void | btnOK_Click (object sender, System.EventArgs e)
void | txtCaption_TextChanged (object sender, System.EventArgs e)
void | txtMessage_TextChanged (object sender, System.EventArgs e)
void | cboButtons_OnSelectedIndexChanged (object sender, System.EventArgs e)
void | btnPreview_Click (object sender, System.EventArgs e)
void | cbnUseReturnVar_CheckedChanged (object sender, System.EventArgs e)
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | InitForm ()
void | btnDefault1_Clicked (object sender, System.EventArgs e)
void | btnDefault2_Clicked (object sender, System.EventArgs e)
void | btnDefault3_Clicked (object sender, System.EventArgs e)
void | OnMessageBoxChanged (object sender, System.EventArgs e)
string | BuildMessageBox ()
string | BuildForCPlusPlus ()
string | BuildForVisualBasic ()
string | BuildForVisualBasicOld ()
string | BuildForCSharp ()
void | ButtonsAreUs (ref string strButtons, ref string strSwitch, ref string strIcon, ref string strDefButton)
void | OnListBox1DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | listBox1_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | OnLanguageChanged (object sender, System.EventArgs e)
void | cbnUseReturnVar_OnCheckChanged (object sender, System.EventArgs e)
void | btnDefault1_OnClick (object sender, System.EventArgs e)
void | btnDefault2_OnClick (object sender, System.EventArgs e)
void | btnDefault3_OnClick (object sender, System.EventArgs e)
## Private Attributes
System.ComponentModel.IContainer | components
System.Windows.Forms.Button | btnPreview
System.Windows.Forms.Button | btnCancel
System.Windows.Forms.Button | btnOK
System.Windows.Forms.TextBox | txtCaption
System.Windows.Forms.GroupBox | grpCaption
System.Windows.Forms.TextBox | txtMessage
System.Windows.Forms.GroupBox | grpMessage
MessageBoxButtons | btnStyle
MessageBoxIcon | iconStyle
System.Windows.Forms.GroupBox | groupBox1
System.Windows.Forms.ListBox | listBox1
System.Windows.Forms.ImageList | imageList1
System.Windows.Forms.CheckBox | cbnVisualCSharp
System.Windows.Forms.CheckBox | cbnVisualCPP
System.Windows.Forms.CheckBox | cbnVisualBasic
System.Windows.Forms.CheckBox | cbnUseMFC
System.Windows.Forms.GroupBox | grpButtons
System.Windows.Forms.GroupBox | grpDefault
System.Windows.Forms.Button | btnDefault3
System.Windows.Forms.Button | btnDefault2
System.Windows.Forms.Button | btnDefault1
System.Windows.Forms.ComboBox | cboButtons
System.Windows.Forms.GroupBox | grpSend
System.Windows.Forms.RadioButton | rdoFile
System.Windows.Forms.RadioButton | rdoClipboard
System.Windows.Forms.GroupBox | grpOptions
System.Windows.Forms.CheckBox | cbnDeclareIt
System.Windows.Forms.CheckBox | cbnBuildSwitch
System.Windows.Forms.Label | lblVariable
System.Windows.Forms.CheckBox | cbnUseReturnVar
System.Windows.Forms.TextBox | txtVariable
System.Windows.Forms.GroupBox | grpCode
System.Windows.Forms.TextBox | txtCode
System.Windows.Forms.GroupBox | grpSample
System.Windows.Forms.Button | btnSample4
System.Windows.Forms.Button | btnSample2
System.Windows.Forms.Button | btnSample5
System.Windows.Forms.Button | btnSample3
System.Windows.Forms.Button | btnSample1
System.Windows.Forms.Label | lblSampleText
System.Windows.Forms.PictureBox | pbIcon
System.Windows.Forms.Label | lblCaption
System.Windows.Forms.PictureBox | pictureBox1
System.Windows.Forms.CheckBox | cbnDefault3
System.Windows.Forms.CheckBox | cbnDefault2
System.Windows.Forms.CheckBox | cbnDefault1
MessageBoxDefaultButton | btnDefault
int | SelectedIcon = 0

## Constructor & Destructor Documentation

IG::Forms::Test::MessageBoxBuilder::MessageBoxBuilder | ( |  | ) | `[inline]`

## Member Function Documentation

static void IG::Forms::Test::MessageBoxBuilder::Main0 | ( | string[] | args | ) | `[inline, static]`

void IG::Forms::Test::MessageBoxBuilder::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::Test::MessageBoxBuilder::InitForm | ( |  | ) | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnCancel_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::btnOK_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault1_Clicked | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault2_Clicked | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault3_Clicked | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::OnMessageBoxChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::txtCaption_TextChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::txtMessage_TextChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::cboButtons_OnSelectedIndexChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

string IG::Forms::Test::MessageBoxBuilder::BuildMessageBox | ( |  | ) | `[inline, private]`

string IG::Forms::Test::MessageBoxBuilder::BuildForCPlusPlus | ( |  | ) | `[inline, private]`

string IG::Forms::Test::MessageBoxBuilder::BuildForVisualBasic | ( |  | ) | `[inline, private]`

string IG::Forms::Test::MessageBoxBuilder::BuildForVisualBasicOld | ( |  | ) | `[inline, private]`

string IG::Forms::Test::MessageBoxBuilder::BuildForCSharp | ( |  | ) | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::ButtonsAreUs | ( | ref string | strButtons,
|  | ref string | strSwitch,
|  | ref string | strIcon,
|  | ref string | strDefButton
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnPreview_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::cbnUseReturnVar_CheckedChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, protected]`

void IG::Forms::Test::MessageBoxBuilder::OnListBox1DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::listBox1_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::OnLanguageChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::cbnUseReturnVar_OnCheckChanged | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault1_OnClick | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault2_OnClick | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::MessageBoxBuilder::btnDefault3_OnClick | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

## Member Data Documentation

System.ComponentModel.IContainer IG::Forms::Test::MessageBoxBuilder::components`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnPreview`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnCancel`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnOK`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::MessageBoxBuilder::txtCaption`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpCaption`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::MessageBoxBuilder::txtMessage`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpMessage`[private]`

MessageBoxButtons IG::Forms::Test::MessageBoxBuilder::btnStyle`[private]`

MessageBoxIcon IG::Forms::Test::MessageBoxBuilder::iconStyle`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::groupBox1`[private]`

System.Windows.Forms.ListBox IG::Forms::Test::MessageBoxBuilder::listBox1`[private]`

System.Windows.Forms.ImageList IG::Forms::Test::MessageBoxBuilder::imageList1`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnVisualCSharp`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnVisualCPP`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnVisualBasic`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnUseMFC`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpButtons`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpDefault`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnDefault3`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnDefault2`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnDefault1`[private]`

System.Windows.Forms.ComboBox IG::Forms::Test::MessageBoxBuilder::cboButtons`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpSend`[private]`

System.Windows.Forms.RadioButton IG::Forms::Test::MessageBoxBuilder::rdoFile`[private]`

System.Windows.Forms.RadioButton IG::Forms::Test::MessageBoxBuilder::rdoClipboard`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpOptions`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnDeclareIt`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnBuildSwitch`[private]`

System.Windows.Forms.Label IG::Forms::Test::MessageBoxBuilder::lblVariable`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnUseReturnVar`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::MessageBoxBuilder::txtVariable`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpCode`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::MessageBoxBuilder::txtCode`[private]`

System.Windows.Forms.GroupBox IG::Forms::Test::MessageBoxBuilder::grpSample`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnSample4`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnSample2`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnSample5`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnSample3`[private]`

System.Windows.Forms.Button IG::Forms::Test::MessageBoxBuilder::btnSample1`[private]`

System.Windows.Forms.Label IG::Forms::Test::MessageBoxBuilder::lblSampleText`[private]`

System.Windows.Forms.PictureBox IG::Forms::Test::MessageBoxBuilder::pbIcon`[private]`

System.Windows.Forms.Label IG::Forms::Test::MessageBoxBuilder::lblCaption`[private]`

System.Windows.Forms.PictureBox IG::Forms::Test::MessageBoxBuilder::pictureBox1`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnDefault3`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnDefault2`[private]`

System.Windows.Forms.CheckBox IG::Forms::Test::MessageBoxBuilder::cbnDefault1`[private]`

MessageBoxDefaultButton IG::Forms::Test::MessageBoxBuilder::btnDefault`[private]`

int IG::Forms::Test::MessageBoxBuilder::SelectedIcon = 0`[private]`

The documentation for this class was generated from the following file:

- igform_quick_tests.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events